Docs Replicate official format /replicate/v1/models/minimax/video-01-live/predictions
API reference

Create task minimax/video-01-live

Official document: https://replicate.com/minimax/video-01-live

POST/replicate/v1/models/minimax/video-01-live/predictions

Body Parametersapplication/json

input object

Input content

properties
first_frame_image* string

Used to generate the first frame of the video. The output video will have the same aspect ratio as this image.

prompt* string

Generate text prompts.

prompt_optimizer boolean

Use hint optimizer. Default value: true

Responses

200 application/json
response-200 object
properties
created_at string

Creation time

data_removed boolean

Whether sensitive data has been removed

error string nullable

Error message

id* string

Resource or task ID

input object

Input content

logs string

Run logs

model string

Model name / model ID

output string nullable

Output result

status* string

Status

urls object

List of resource URLs

version string

Version

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"input": {
3"first_frame_image": "https://replicate.delivery/pbxt/M9jlcXgeaypBr2yQYGf9JXgxUCJWRt8ODUDvt90UWPUsQBXC/back-to-the-future.png",
4"prompt": "a man is talking angrily",
5"prompt_optimizer": true
6}
7}
Code Sample cURL
1curl -X POST "https://api.digislash.com/replicate/v1/models/minimax/video-01-live/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"first_frame_image": "https://replicate.delivery/pbxt/M9jlcXgeaypBr2yQYGf9JXgxUCJWRt8ODUDvt90UWPUsQBXC/back-to-the-future.png",
7"prompt": "a man is talking angrily",
8"prompt_optimizer": true
9}
10}'
Response
1▼{
2"created_at": "2025-07-30T01:38:07.143Z",
3"data_removed": false,
4"id": "x18c1re8mxrma0crb3x8wbwqmg",
5▼"input": {
6"first_frame_image": "https://replicate.delivery/pbxt/M9jlcXgeaypBr2yQYGf9JXgxUCJWRt8ODUDvt90UWPUsQBXC/back-to-the-future.png",
7"prompt": "a man is talking angrily",
8"prompt_optimizer": true
9},
10"logs": "",
11"model": "minimax/video-01-live",
12"status": "starting",
13▼"urls": {
14"cancel": "https://api.replicate.com/v1/predictions/x18c1re8mxrma0crb3x8wbwqmg/cancel",
15"get": "https://api.replicate.com/v1/predictions/x18c1re8mxrma0crb3x8wbwqmg",
16"stream": "https://stream.replicate.com/v1/files/bcwr-tfjtzspnxcjigf5eyyqqfkc3rrtv7ruou6yxzspuiy2cdzi7gizq",
17"web": "https://replicate.com/p/x18c1re8mxrma0crb3x8wbwqmg"
18},
19"version": "hidden"
20}